import { __awaiter, __decorate } from "tslib";
import { customElement, DOM, FASTElement } from '@microsoft/fast-element';
import { Router } from '@microsoft/fast-router';
const routerProperty = '$router';
let AlphaRouter = class AlphaRouter extends Router.from(FASTElement) {
    connectedCallback() {
        super.connectedCallback();
        DOM.queueUpdate(() => __awaiter(this, void 0, void 0, function* () {
            this[routerProperty].config = this.config;
        }));
    }
};
AlphaRouter = __decorate([
    customElement({
        name: 'alpha-router',
    })
], AlphaRouter);
export { AlphaRouter };
